import { HttpClient, EventDefinition, MaybeContext, BuildRESTFunction, BuildEventDefinition } from '@wix/sdk-types';
import { U as UpdateProjectOrderInCollectionIdentifiers, a as UpdateProjectOrderInCollectionResponse, P as ProjectInCollectionProjectOrderInCollectionUpdatedEnvelope } from './portfolio-projects-v1-project-in-collection-project-in-collections.universal-BeKxaG_D.js';
export { B as ActionEvent, H as BaseEventMetadata, C as CursorPaging, u as Cursors, D as DetailsLink, x as DomainEvent, y as DomainEventBodyOneOf, E as EntityCreatedEvent, A as EntityDeletedEvent, z as EntityUpdatedEvent, J as EventMetadata, F as IdentificationData, G as IdentificationDataIdOneOf, f as Image, I as ImageType, K as Keyword, M as MessageEnvelope, r as Paging, t as PagingMetadataV2, g as Point, d as Project, e as ProjectCoverOneOf, j as ProjectDetail, k as ProjectDetailValueOneOf, w as ProjectOrderInCollectionUpdatedEvent, l as ProjectSource, c as ProjectsInCollections, Q as QueryProjectInCollectionsRequest, s as QueryProjectInCollectionsResponse, o as QueryV2, p as QueryV2PagingMethodOneOf, R as RestoreInfo, m as SeoSchema, n as Settings, b as SortOrder, q as Sorting, S as SyncStatus, T as Tag, h as UnsharpMasking, v as UpdateProjectOrderInCollectionRequest, V as Video, i as VideoResolution, W as WebhookIdentityType } from './portfolio-projects-v1-project-in-collection-project-in-collections.universal-BeKxaG_D.js';

declare function updateProjectOrderInCollection$1(httpClient: HttpClient): UpdateProjectOrderInCollectionSignature;
interface UpdateProjectOrderInCollectionSignature {
    /**
     * Updates the placement of a project within a specified collection.
     * @param - Index that determines the placement of a project within the collection.
     */
    (identifiers: UpdateProjectOrderInCollectionIdentifiers, sortOrder: number): Promise<UpdateProjectOrderInCollectionResponse>;
}
declare const onProjectInCollectionProjectOrderInCollectionUpdatedEvent$1: EventDefinition<ProjectInCollectionProjectOrderInCollectionUpdatedEnvelope, "wix.portfolio.projects.v1.project_in_collection_project_order_in_collection_updated_event">;

declare const updateProjectOrderInCollection: MaybeContext<BuildRESTFunction<typeof updateProjectOrderInCollection$1> & typeof updateProjectOrderInCollection$1>;
/**
 * Triggered when the placement of a project within a specified collection is updated.
 */
declare const onProjectInCollectionProjectOrderInCollectionUpdatedEvent: BuildEventDefinition<typeof onProjectInCollectionProjectOrderInCollectionUpdatedEvent$1>;

export { ProjectInCollectionProjectOrderInCollectionUpdatedEnvelope, UpdateProjectOrderInCollectionIdentifiers, UpdateProjectOrderInCollectionResponse, onProjectInCollectionProjectOrderInCollectionUpdatedEvent, updateProjectOrderInCollection };
