"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// meta.ts
var meta_exports = {};
__export(meta_exports, {
  updateProjectOrderInCollection: () => updateProjectOrderInCollection2
});
module.exports = __toCommonJS(meta_exports);

// src/portfolio-projects-v1-project-in-collection-project-in-collections.http.ts
var import_float = require("@wix/sdk-runtime/transformations/float");
var import_float2 = require("@wix/sdk-runtime/transformations/float");
var import_timestamp = require("@wix/sdk-runtime/transformations/timestamp");
var import_transform_paths = require("@wix/sdk-runtime/transformations/transform-paths");
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
function resolveComWixpressPortfolioProjectsProjectInCollectionsServiceUrl(opts) {
  const domainToMappings = {
    "manage._base_domain_": [
      {
        srcPath: "/_api/projects-service",
        destPath: "/api"
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_api/projects-service",
        destPath: "/api"
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_api/projects-service",
        destPath: "/api"
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_api/projects-service",
        destPath: "/api"
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/_api/projects-service",
        destPath: "/api"
      },
      {
        srcPath: "/portfolio/projects/projects/api/v1/bulk/portfolio/projects",
        destPath: "/api/v1/bulk/portfolio/projects"
      },
      {
        srcPath: "/portfolio/projects/projects/api/1/portfolio/projects",
        destPath: "/api/1/portfolio/projects"
      }
    ],
    _: [
      {
        srcPath: "/_api/projects-service",
        destPath: "/api"
      },
      {
        srcPath: "/portfolio/projects/projects/api/v1/bulk/portfolio/projects",
        destPath: "/api/v1/bulk/portfolio/projects"
      },
      {
        srcPath: "/portfolio/projects/projects/api/1/portfolio/projects",
        destPath: "/api/1/portfolio/projects"
      }
    ],
    "www._base_domain_": [
      {
        srcPath: "/_api/projects-service",
        destPath: "/api"
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/portfolio/v1/projects",
        destPath: "/api/v1/portfolio/projects"
      },
      {
        srcPath: "/portfolio/projects/projects/api/v1/bulk/portfolio/projects",
        destPath: "/api/v1/bulk/portfolio/projects"
      },
      {
        srcPath: "/portfolio/projects/projects/api/v1/portfolio/projects",
        destPath: "/api/v1/portfolio/projects"
      },
      {
        srcPath: "/portfolio/projects/projects/api/1/portfolio/projects",
        destPath: "/api/1/portfolio/projects"
      }
    ],
    "api._api_base_domain_": [
      {
        srcPath: "/projects-service",
        destPath: ""
      }
    ]
  };
  return (0, import_rest_modules.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_portfolio_project-in-collections";
function updateProjectOrderInCollection(payload) {
  function __updateProjectOrderInCollection({ host }) {
    const serializedData = (0, import_transform_paths.transformPaths)(payload, [
      {
        transformFn: import_float.transformSDKFloatToRESTFloat,
        paths: [{ path: "sortOrder" }]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.portfolio.projects.v1.project_in_collection",
      method: "PATCH",
      methodFqn: "com.wixpress.portfolio.projects.ProjectInCollectionsService.UpdateProjectOrderInCollection",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioProjectsProjectInCollectionsServiceUrl({
        protoPath: "/api/v1/portfolio/projects/{projectId}/collections/{collectionId}/order",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_float2.transformRESTFloatToSDKFloat,
          paths: [
            { path: "project.sortOrder" },
            { path: "projectInCollection.sortOrder" },
            { path: "project.project.coverImage.focalPoint.x" },
            { path: "project.project.coverImage.focalPoint.y" },
            { path: "projectInCollection.project.coverImage.focalPoint.x" },
            { path: "projectInCollection.project.coverImage.focalPoint.y" },
            { path: "project.project.coverImage.unsharpMasking.amount" },
            { path: "project.project.coverImage.unsharpMasking.radius" },
            { path: "project.project.coverImage.unsharpMasking.threshold" },
            {
              path: "projectInCollection.project.coverImage.unsharpMasking.amount"
            },
            {
              path: "projectInCollection.project.coverImage.unsharpMasking.radius"
            },
            {
              path: "projectInCollection.project.coverImage.unsharpMasking.threshold"
            }
          ]
        },
        {
          transformFn: import_timestamp.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "project.project.createdDate" },
            { path: "project.project.updatedDate" },
            {
              path: "project.project.coverImage.imageInfo.urlExpirationDate"
            },
            {
              path: "project.project.coverVideo.videoInfo.urlExpirationDate"
            },
            {
              path: "project.project.coverVideo.videoInfo.resolutions.poster.urlExpirationDate"
            },
            {
              path: "project.project.coverVideo.videoInfo.posters.urlExpirationDate"
            },
            { path: "project.project.source.lastSync" },
            { path: "projectInCollection.project.createdDate" },
            { path: "projectInCollection.project.updatedDate" },
            {
              path: "projectInCollection.project.coverImage.imageInfo.urlExpirationDate"
            },
            {
              path: "projectInCollection.project.coverVideo.videoInfo.urlExpirationDate"
            },
            {
              path: "projectInCollection.project.coverVideo.videoInfo.resolutions.poster.urlExpirationDate"
            },
            {
              path: "projectInCollection.project.coverVideo.videoInfo.posters.urlExpirationDate"
            },
            { path: "projectInCollection.project.source.lastSync" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __updateProjectOrderInCollection;
}

// src/portfolio-projects-v1-project-in-collection-project-in-collections.meta.ts
function updateProjectOrderInCollection2() {
  const payload = {
    projectId: ":projectId",
    collectionId: ":collectionId"
  };
  const getRequestOptions = updateProjectOrderInCollection(
    payload
  );
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "PATCH",
    path: "/api/v1/portfolio/projects/{projectId}/collections/{collectionId}/order",
    pathParams: { projectId: "projectId", collectionId: "collectionId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  updateProjectOrderInCollection
});
//# sourceMappingURL=meta.js.map