// src/portfolio-projects-v1-project-in-collection-project-in-collections.public.ts
import { renameKeysFromRESTResponseToSDKResponse as renameKeysFromRESTResponseToSDKResponse2 } from "@wix/sdk-runtime/rename-all-nested-keys";
import { transformRESTFloatToSDKFloat as transformRESTFloatToSDKFloat2 } from "@wix/sdk-runtime/transformations/float";
import { transformRESTTimestampToSDKTimestamp as transformRESTTimestampToSDKTimestamp2 } from "@wix/sdk-runtime/transformations/timestamp";
import { transformPaths as transformPaths3 } from "@wix/sdk-runtime/transformations/transform-paths";
import { EventDefinition } from "@wix/sdk-types";

// src/portfolio-projects-v1-project-in-collection-project-in-collections.universal.ts
import { transformError as sdkTransformError } from "@wix/sdk-runtime/transform-error";
import {
  renameKeysFromSDKRequestToRESTRequest,
  renameKeysFromRESTResponseToSDKResponse
} from "@wix/sdk-runtime/rename-all-nested-keys";

// src/portfolio-projects-v1-project-in-collection-project-in-collections.http.ts
import { transformSDKFloatToRESTFloat } from "@wix/sdk-runtime/transformations/float";
import { transformRESTFloatToSDKFloat } from "@wix/sdk-runtime/transformations/float";
import { transformRESTTimestampToSDKTimestamp } from "@wix/sdk-runtime/transformations/timestamp";
import { transformPaths } from "@wix/sdk-runtime/transformations/transform-paths";
import { resolveUrl } from "@wix/sdk-runtime/rest-modules";
function resolveComWixpressPortfolioProjectsProjectInCollectionsServiceUrl(opts) {
  const domainToMappings = {
    "manage._base_domain_": [
      {
        srcPath: "/_api/projects-service",
        destPath: "/api"
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_api/projects-service",
        destPath: "/api"
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_api/projects-service",
        destPath: "/api"
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_api/projects-service",
        destPath: "/api"
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/_api/projects-service",
        destPath: "/api"
      },
      {
        srcPath: "/portfolio/projects/projects/api/v1/bulk/portfolio/projects",
        destPath: "/api/v1/bulk/portfolio/projects"
      },
      {
        srcPath: "/portfolio/projects/projects/api/1/portfolio/projects",
        destPath: "/api/1/portfolio/projects"
      }
    ],
    _: [
      {
        srcPath: "/_api/projects-service",
        destPath: "/api"
      },
      {
        srcPath: "/portfolio/projects/projects/api/v1/bulk/portfolio/projects",
        destPath: "/api/v1/bulk/portfolio/projects"
      },
      {
        srcPath: "/portfolio/projects/projects/api/1/portfolio/projects",
        destPath: "/api/1/portfolio/projects"
      }
    ],
    "www._base_domain_": [
      {
        srcPath: "/_api/projects-service",
        destPath: "/api"
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/portfolio/v1/projects",
        destPath: "/api/v1/portfolio/projects"
      },
      {
        srcPath: "/portfolio/projects/projects/api/v1/bulk/portfolio/projects",
        destPath: "/api/v1/bulk/portfolio/projects"
      },
      {
        srcPath: "/portfolio/projects/projects/api/v1/portfolio/projects",
        destPath: "/api/v1/portfolio/projects"
      },
      {
        srcPath: "/portfolio/projects/projects/api/1/portfolio/projects",
        destPath: "/api/1/portfolio/projects"
      }
    ],
    "api._api_base_domain_": [
      {
        srcPath: "/projects-service",
        destPath: ""
      }
    ]
  };
  return resolveUrl(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_portfolio_project-in-collections";
function updateProjectOrderInCollection(payload) {
  function __updateProjectOrderInCollection({ host }) {
    const serializedData = transformPaths(payload, [
      {
        transformFn: transformSDKFloatToRESTFloat,
        paths: [{ path: "sortOrder" }]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.portfolio.projects.v1.project_in_collection",
      method: "PATCH",
      methodFqn: "com.wixpress.portfolio.projects.ProjectInCollectionsService.UpdateProjectOrderInCollection",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPortfolioProjectsProjectInCollectionsServiceUrl({
        protoPath: "/api/v1/portfolio/projects/{projectId}/collections/{collectionId}/order",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTFloatToSDKFloat,
          paths: [
            { path: "project.sortOrder" },
            { path: "projectInCollection.sortOrder" },
            { path: "project.project.coverImage.focalPoint.x" },
            { path: "project.project.coverImage.focalPoint.y" },
            { path: "projectInCollection.project.coverImage.focalPoint.x" },
            { path: "projectInCollection.project.coverImage.focalPoint.y" },
            { path: "project.project.coverImage.unsharpMasking.amount" },
            { path: "project.project.coverImage.unsharpMasking.radius" },
            { path: "project.project.coverImage.unsharpMasking.threshold" },
            {
              path: "projectInCollection.project.coverImage.unsharpMasking.amount"
            },
            {
              path: "projectInCollection.project.coverImage.unsharpMasking.radius"
            },
            {
              path: "projectInCollection.project.coverImage.unsharpMasking.threshold"
            }
          ]
        },
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "project.project.createdDate" },
            { path: "project.project.updatedDate" },
            {
              path: "project.project.coverImage.imageInfo.urlExpirationDate"
            },
            {
              path: "project.project.coverVideo.videoInfo.urlExpirationDate"
            },
            {
              path: "project.project.coverVideo.videoInfo.resolutions.poster.urlExpirationDate"
            },
            {
              path: "project.project.coverVideo.videoInfo.posters.urlExpirationDate"
            },
            { path: "project.project.source.lastSync" },
            { path: "projectInCollection.project.createdDate" },
            { path: "projectInCollection.project.updatedDate" },
            {
              path: "projectInCollection.project.coverImage.imageInfo.urlExpirationDate"
            },
            {
              path: "projectInCollection.project.coverVideo.videoInfo.urlExpirationDate"
            },
            {
              path: "projectInCollection.project.coverVideo.videoInfo.resolutions.poster.urlExpirationDate"
            },
            {
              path: "projectInCollection.project.coverVideo.videoInfo.posters.urlExpirationDate"
            },
            { path: "projectInCollection.project.source.lastSync" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __updateProjectOrderInCollection;
}

// src/portfolio-projects-v1-project-in-collection-project-in-collections.universal.ts
import { transformRESTImageToSDKImage } from "@wix/sdk-runtime/transformations/image";
import { transformRESTVideoV2ToSDKVideoV2 } from "@wix/sdk-runtime/transformations/video-v2";
import { transformRESTPageURLV2ToSDKPageURLV2 } from "@wix/sdk-runtime/transformations/page-url-v2";
import { transformPaths as transformPaths2 } from "@wix/sdk-runtime/transformations/transform-paths";
var ImageType = /* @__PURE__ */ ((ImageType2) => {
  ImageType2["UNDEFINED"] = "UNDEFINED";
  ImageType2["WIX_MEDIA"] = "WIX_MEDIA";
  ImageType2["EXTERNAL"] = "EXTERNAL";
  return ImageType2;
})(ImageType || {});
var SyncStatus = /* @__PURE__ */ ((SyncStatus2) => {
  SyncStatus2["SYNCED"] = "SYNCED";
  SyncStatus2["SYNCING"] = "SYNCING";
  SyncStatus2["NOT_SYNCED"] = "NOT_SYNCED";
  return SyncStatus2;
})(SyncStatus || {});
var SortOrder = /* @__PURE__ */ ((SortOrder2) => {
  SortOrder2["ASC"] = "ASC";
  SortOrder2["DESC"] = "DESC";
  return SortOrder2;
})(SortOrder || {});
var WebhookIdentityType = /* @__PURE__ */ ((WebhookIdentityType2) => {
  WebhookIdentityType2["UNKNOWN"] = "UNKNOWN";
  WebhookIdentityType2["ANONYMOUS_VISITOR"] = "ANONYMOUS_VISITOR";
  WebhookIdentityType2["MEMBER"] = "MEMBER";
  WebhookIdentityType2["WIX_USER"] = "WIX_USER";
  WebhookIdentityType2["APP"] = "APP";
  return WebhookIdentityType2;
})(WebhookIdentityType || {});
async function updateProjectOrderInCollection2(identifiers, sortOrder) {
  const { httpClient, sideEffects } = arguments[2];
  const payload = renameKeysFromSDKRequestToRESTRequest({
    projectId: identifiers?.projectId,
    collectionId: identifiers?.collectionId,
    sortOrder
  });
  const reqOpts = updateProjectOrderInCollection(
    payload
  );
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return renameKeysFromRESTResponseToSDKResponse(
      transformPaths2(result.data, [
        {
          transformFn: transformRESTPageURLV2ToSDKPageURLV2,
          paths: [
            { path: "project.project.url" },
            { path: "projectInCollection.project.url" }
          ]
        },
        {
          transformFn: transformRESTImageToSDKImage,
          paths: [
            { path: "project.project.coverImage.imageInfo" },
            { path: "projectInCollection.project.coverImage.imageInfo" }
          ]
        },
        {
          transformFn: transformRESTVideoV2ToSDKVideoV2,
          paths: [
            { path: "project.project.coverVideo.videoInfo" },
            { path: "projectInCollection.project.coverVideo.videoInfo" }
          ]
        }
      ])
    );
  } catch (err) {
    const transformedError = sdkTransformError(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: {
          projectId: "$[0].projectId",
          collectionId: "$[0].collectionId",
          sortOrder: "$[1]"
        },
        singleArgumentUnchanged: false
      },
      ["identifiers", "sortOrder"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}

// src/portfolio-projects-v1-project-in-collection-project-in-collections.public.ts
function updateProjectOrderInCollection3(httpClient) {
  return (identifiers, sortOrder) => updateProjectOrderInCollection2(
    identifiers,
    sortOrder,
    // @ts-ignore
    { httpClient }
  );
}
var onProjectInCollectionProjectOrderInCollectionUpdatedEvent = EventDefinition(
  "wix.portfolio.projects.v1.project_in_collection_project_order_in_collection_updated_event",
  true,
  (event) => renameKeysFromRESTResponseToSDKResponse2(
    transformPaths3(event, [
      {
        transformFn: transformRESTFloatToSDKFloat2,
        paths: [{ path: "data.sortOrder" }]
      },
      {
        transformFn: transformRESTTimestampToSDKTimestamp2,
        paths: [{ path: "metadata.eventTime" }]
      }
    ])
  )
)();

// src/portfolio-projects-v1-project-in-collection-project-in-collections.context.ts
import { createRESTModule } from "@wix/sdk-runtime/rest-modules";
import { createEventModule } from "@wix/sdk-runtime/event-definition-modules";
var updateProjectOrderInCollection4 = /* @__PURE__ */ createRESTModule(updateProjectOrderInCollection3);
var onProjectInCollectionProjectOrderInCollectionUpdatedEvent2 = createEventModule(
  onProjectInCollectionProjectOrderInCollectionUpdatedEvent
);
export {
  ImageType,
  SortOrder,
  SyncStatus,
  WebhookIdentityType,
  onProjectInCollectionProjectOrderInCollectionUpdatedEvent2 as onProjectInCollectionProjectOrderInCollectionUpdatedEvent,
  updateProjectOrderInCollection4 as updateProjectOrderInCollection
};
//# sourceMappingURL=index.mjs.map